Bug 1703609 - Inconsistency between dnf-automatic command name and man page name
Summary: Inconsistency between dnf-automatic command name and man page name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: Marek Blaha
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-26 21:57 UTC by Omair Majid
Modified: 2020-11-14 13:14 UTC (History)
4 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:22:06 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github rpm-software-management dnf pull 1387 None closed Rename man page from dnf.automatic to dnf-automatic 2020-05-11 16:32:41 UTC
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:22:15 UTC

Description Omair Majid 2019-04-26 21:57:54 UTC
Description of problem:

Generally, tools and man page names are very consistent. You generally only need to enter the name of the command prefixed by man to get the right man page:

For example:
- git clean
- man git clean

But dnf-automatic is funny:

- dnf-automatic
- man dnf.automatic

Note that the command uses hyphen (-) but the man page uses a dot (.). That just seems like a very inconsistent user experience. I dont get any man page if I enter "man dnf automatic".


Version-Release number of selected component (if applicable):
dnf-4.0.9.2-5.el8.noarch
dnf-automatic-4.0.9.2-5.el8.noarch

Comment 1 Marek Blaha 2019-04-29 15:40:57 UTC
PR https://github.com/rpm-software-management/dnf/pull/1388 fixes this issue.

Comment 11 errata-xmlrpc 2019-11-05 22:22:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.